> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Contact List

> Update an existing contact list



## OpenAPI

````yaml patch /contact_list
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /contact_list:
    patch:
      tags:
        - Contact List
      summary: Update Contact List
      description: Update an existing contact list
      parameters:
        - description: Select columns to return
          in: query
          name: select
          schema:
            type: string
        - name: id
          in: query
          description: Contact List ID
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: name
          in: query
          description: Name of contact list
          schema:
            type: string
        - name: created_at
          in: query
          schema:
            type: string
        - name: updated_at
          in: query
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/contact_list'
        description: contact_list
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/contact_list'
          description: The updated Contact List object
        '204':
          content: {}
          description: No Content
components:
  schemas:
    contact_list:
      type: object
      properties:
        id:
          type: string
          description: Contact List ID
          format: uuid
          default: random uuid
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
          nullable: true
        name:
          type: string
          description: Name of contact list
          format: text
        created_at:
          type: string
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          format: timestamp with time zone
          default: now()
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````